package com.huyi.task.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 账户历史信息表
 * </p>
 *
 * @author pxh
 * @since 2021-10-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("pay_acc_detail")
public class PayAccDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 流水号
     */
    @TableId("PAD_NO")
    private String padNo;

    /**
     * 企业ID(sys_company.scy_id)
     */
    @TableField("PAD_CSTNO")
    private String padCstno;

    /**
     * 账号(pay_acc_inf.PAI_ACCNO)
     */
    @TableField("PAD_ACCNO")
    private String padAccno;

    /**
     * 版本号
     */
    @TableField("PAD_VERSION")
    private Integer padVersion;

    /**
     * 账户状态(0:正常，1：冻结)
     */
    @TableField("PAD_STATUS")
    private String padStatus;

    /**
     * 余额
     */
    @TableField("PAD_BALANCE")
    private String padBalance;

    /**
     * 可用余额
     */
    @TableField("PAD_AVABALANCE")
    private String padAvabalance;

    /**
     * 账户类型(00基本账户01贷款账户02信用账户03手续费账户04待结算账户05提现账户)
     */
    @TableField("PAD_ACCTYPE")
    private String padAcctype;

    /**
     * 币种(CNY)
     */
    @TableField("PAD_CRYTYPE")
    private String padCrytype;

    /**
     * 发生额（+10 -10）
     */
    @TableField("PAD_TRXAMOUT")
    private String padTrxamout;

    /**
     * 支付流水号
     */
    @TableField("PAD_PAYFLOWNO")
    private String padPayflowno;

    /**
     * 00充值(CZ)、10支付(ZF)、20转账(ZZ)、30退款(TK)、31退款到银行卡、3A退卡、40预付卡充值、41消费、42消费撤销、43消费冲正、44消费撤销冲正、50:余额查询、60提现(TX)、70结算（JS） 、71银行结算、72:POS结算、73、批上送、80手续费pos、90个人调账、91卡调账、92:商户调账、93:pos终端调账、94:平台调账、95银行账户调账 、96提现失败 S0签到、S1签退
     */
    @TableField("PAD_TRANTYPE")
    private String padTrantype;

    /**
     * 备注
     */
    @TableField("PAD_REMRK")
    private String padRemrk;

    /**
     * 创建人
     */
    @TableField("create_by")
    private String createBy;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Date createTime;

    /**
     * 修改人
     */
    @TableField("update_by")
    private String updateBy;

    /**
     * 修改时间
     */
    @TableField("update_time")
    private Date updateTime;

    /**
     * 状态（00：交易中 01：成功 02：失败）
     */
    @TableField("PAD_STATE")
    private String padState;

    /**
     * 业务表主键
     */
    @TableField("pad_business_id")
    private String padBusinessId;

    /**
     * 交易查询次数
     */
    @TableField("pad_tar_count")
    private String padTarCount;

    /**
     * 转账查询次数
     */
    @TableField("pad_pay_count")
    private String padPayCount;


}
