package com.huyi.task.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 关联银行卡信息表 
 * </p>
 *
 * @author xuefy
 * @since 2021-08-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("pay_bank_acc_inf")
public class PayBankAccInf implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId("PBAI_ID")
    private String pbaiId;

    /**
     * 所属客户
     */
    @TableField("PBAI_CSTNO")
    private String pbaiCstno;

    /**
     * 开户名
     */
    @TableField("PBAI_ACCOUNT_NAME")
    private String pbaiAccountName;

    /**
     * 所属账户
     */
    @TableField("PBAI_ACCOUNTNO")
    private String pbaiAccountno;

    /**
     * 银行卡号
     */
    @TableField("PBAI_BANKACCOUNT_ID")
    private String pbaiBankaccountId;

    /**
     * 所属银行
     */
    @TableField("PBAI_BANK_NAME")
    private String pbaiBankName;

    /**
     * 状态（0：激活；1：停用; 2:删除）
     */
    @TableField("PBAI_STATUS")
    private String pbaiStatus;

    /**
     * 是否基本户(0:不是, 1:是)
     */
    @TableField("PBAI_BASIC")
    private String pbaiBasic;

    /**
     * 创建人
     */
    @TableField("create_by")
    private String createBy;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Date createTime;

    /**
     * 修改人
     */
    @TableField("update_by")
    private String updateBy;

    /**
     * 修改时间
     */
    @TableField("update_time")
    private Date updateTime;


}
