package com.huyi.task.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 前台列隐藏显示配置信息表
 * </p>
 *
 * @author xuefy
 * @since 2021-08-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("pub_column_settings_inf")
public class PubColumnSettingsInf implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 公司编号
     */
    @TableId("psf_company_id")
    private String psfCompanyId;

    /**
     * 用户编号
     */
    @TableField("psf_user_id")
    private String psfUserId;

    /**
     * 页面路径
     */
    @TableField("psf_page_path")
    private String psfPagePath;

    /**
     * 页面表格名称
     */
    @TableField("psf_table_name")
    private String psfTableName;

    /**
     * 显示的列
     */
    @TableField("psf_show_data")
    private String psfShowData;

    /**
     * 隐藏的列
     */
    @TableField("psf_hide_data")
    private String psfHideData;


}
