package com.huyi.task.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 公司表
 * </p>
 *
 * @author songqg
 * @since 2021-08-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("sys_company")
public class SysCompany implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId("scy_id")
    private String scyId;

    /**
     * 营业执照(pub_file_inf.pfi_file_id)
     */
    @TableField("scy_license_file")
    private String scyLicenseFile;

    /**
     * 企业名称
     */
    @TableField("scy_name")
    private String scyName;

    /**
     * 统一社会信用代码
     */
    @TableField("scy_social_code")
    private String scySocialCode;

    /**
     * 证件注册日
     */
    @TableField("scy_start_time")
    private String scyStartTime;

    /**
     * 证件到期日(长期)
     */
    @TableField("scy_end_time")
    private String scyEndTime;

    /**
     * 企业地址
     */
    @TableField("scy_address")
    private String scyAddress;

    /**
     * 电话号码
     */
    @TableField("scy_phone")
    private String scyPhone;

    /**
     * 法人证件(pub_file_inf.pfi_file_id)
     */
    @TableField("scy_legal_file")
    private String scyLegalFile;

    /**
     * 法定姓名
     */
    @TableField("scy_legal")
    private String scyLegal;

    /**
     * 法人证件号码
     */
    @TableField("scy_legal_id")
    private String scyLegalId;

    /**
     * 法人授权书(pub_file_inf.pfi_file_id)
     */
    @TableField("scy_authorization_file")
    private String scyAuthorizationFile;

    /**
     * 数字证书授权与承诺书(pub_file_inf.pfi_file_id)
     */
    @TableField("scy_commitment_file")
    private String scyCommitmentFile;

    /**
     * 其他附件(pub_file_inf.pfi_file_id)
     */
    @TableField("scy_appendix_file")
    private String scyAppendixFile;

    /**
     * 企业类型 00:平台,01:核心企业,02:供应商,03:资方
     */
    @TableField("scy_type")
    private String scyType;

    /**
     * 所属行业
     */
    @TableField("scy_industry")
    private String scyIndustry;

    /**
     * 企业规模
     */
    @TableField("scy_scale")
    private String scyScale;

    /**
     * 机构性质
     */
    @TableField("scy_organization")
    private String scyOrganization;

    /**
     * 客户经理
     */
    @TableField("scy_manager")
    private String scyManager;

    /**
     * 备注
     */
    @TableField("scy_remarks")
    private String scyRemarks;

    /**
     * 四要素认证状态(00:未认证, 01:认证通过, 02:认证未通过, 03:人工审批通过, 04:人工审批不通过)
     */
    @TableField("scy_auth_status")
    private String scyAuthStatus;

    /**
     * 状态(00:正常, 01:停用, 02:待四要素认证(认证中), 03:待对公户认证(认证中), 04:待实名审核(认证中), 99:删除)
     */
    @TableField("scy_status")
    private String scyStatus;

    /**
     * 创建人
     */
    @TableField("create_by")
    private String createBy;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Date createTime;

    /**
     * 修改人
     */
    @TableField("update_by")
    private String updateBy;

    /**
     * 修改时间
     */
    @TableField("update_time")
    private Date updateTime;


}
