package com.huyi.task.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 融资费用表
 * </p>
 *
 * @author xuefy
 * @since 2021-08-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("zc_charge_inf")
public class ZcChargeInf implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId("zci_id")
    private String zciId;

    /**
     * 融资编号(zc_finance_record.zfr_id)
     */
    @TableField("zci_finance_id")
    private String zciFinanceId;

    /**
     * 融资费用
     */
    @TableField("zci_amount")
    private String zciAmount;

    /**
     * 状态
     */
    @TableField("zci_status")
    private String zciStatus;

    /**
     * 发票状态
     */
    @TableField("zci_invoice_status")
    private String zciInvoiceStatus;

    /**
     * 快递单号
     */
    @TableField("zci_express_no")
    private String zciExpressNo;

    /**
     * 备用字段1
     */
    @TableField("zci_profit_spare1")
    private String zciProfitSpare1;

    /**
     * 备用字段2
     */
    @TableField("zci_profit_spare2")
    private String zciProfitSpare2;

    /**
     * 备用字段3
     */
    @TableField("zci_profit_spare3")
    private String zciProfitSpare3;

    /**
     * 备用字段4
     */
    @TableField("zci_profit_spare4")
    private String zciProfitSpare4;

    /**
     * 备用字段5
     */
    @TableField("zci_profit_spare5")
    private String zciProfitSpare5;

    /**
     * 备用字段6
     */
    @TableField("zci_profit_spare6")
    private String zciProfitSpare6;

    /**
     * 备用字段7
     */
    @TableField("zci_profit_spare7")
    private String zciProfitSpare7;

    /**
     * 备用字段8
     */
    @TableField("zci_profit_spare8")
    private String zciProfitSpare8;

    /**
     * 备用字段9
     */
    @TableField("zci_profit_spare9")
    private String zciProfitSpare9;

    /**
     * 创建者
     */
    @TableField("create_by")
    private String createBy;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Date createTime;

    /**
     * 更新者
     */
    @TableField("update_by")
    private String updateBy;

    /**
     * 更新时间
     */
    @TableField("update_time")
    private Date updateTime;


}
