package com.huyi.task.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 融信关联文件
 * </p>
 *
 * @author xuefy
 * @since 2021-08-31
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("zc_finance_file_rel")
public class ZcFinanceFileRel implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId("zffr_id")
    private String zffrId;

    /**
     * 融信id(zc_finance_inf.zfi_id)
     */
    @TableField("zffr_finance_id")
    private String zffrFinanceId;

    /**
     * 附件id(pub_file_inf.pfi_file_id)
     */
    @TableField("zffr_file_id")
    private String zffrFileId;

    /**
     * CFCA合同编号
     */
    @TableField("zffr_cfca_number")
    private String zffrCfcaNumber;

    /**
     * 原合同ID(zc_finance_contract.zfc_id)
     */
    @TableField("zffr_contract_id")
    private String zffrContractId;

    /**
     * 核心企业ID
     */
    @TableField("zffr_core_id")
    private String zffrCoreId;

    /**
     * 核心企业用户ID
     */
    @TableField("zffr_core_user_id")
    private Long zffrCoreUserId;

    /**
     * 核心企业签署节点
     */
    @TableField("zffr_core_node")
    private String zffrCoreNode;

    /**
     * 核心企业盖章时间
     */
    @TableField("zffr_core_time")
    private Date zffrCoreTime;

    /**
     * 融资企业ID
     */
    @TableField("zffr_supplier_id")
    private String zffrSupplierId;

    /**
     * 融资企业用户ID
     */
    @TableField("zffr_supplier_user_id")
    private Long zffrSupplierUserId;

    /**
     * 融资企业签署节点
     */
    @TableField("zffr_supplier_node")
    private String zffrSupplierNode;

    /**
     * 融资企业盖章时间
     */
    @TableField("zffr_supplier_time")
    private Date zffrSupplierTime;


}
