package com.huyi.task.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 融信信息表
 * </p>
 *
 * @author xuefy
 * @since 2021-08-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("zc_finance_inf")
public class ZcFinanceInf implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId("zfi_id")
    private String zfiId;

    /**
     * 融信编号
     */
    @TableField("zfi_number")
    private String zfiNumber;

    /**
     * 接收企业(供应商)(sys_company.scy_id)
     */
    @TableField("zfi_supplier_id")
    private String zfiSupplierId;

    /**
     * 开立企业(核心企业)(sys_company.scy_id)
     */
    @TableField("zfi_core_id")
    private String zfiCoreId;

    /**
     * 核心企业授信额度表ID(zc_finance_pro_com_rel.zfpcr_id)
     */
    @TableField("zfi_core_quota_id")
    private String zfiCoreQuotaId;

    /**
     * 供应商授信额度表ID(zc_finance_supplier_quota.zfsq_id)
     */
    @TableField("zfi_supplier_quota_id")
    private String zfiSupplierQuotaId;

    /**
     * 融资产品ID(zc_finance_product.zfp_id)
     */
    @TableField("zfi_product_id")
    private String zfiProductId;

    /**
     * 融信创建(0:供应商申请, 1:核心企业开立, 2:供应商开立)
     */
    @TableField("zfi_create_type")
    private String zfiCreateType;

    /**
     * 申请金额
     */
    @TableField("zfi_amount")
    private String zfiAmount;

    /**
     * 收款账号
     */
    @TableField("zfi_collection_account")
    private String zfiCollectionAccount;

    /**
     * 利率
     */
    @TableField("zfi_rate")
    private String zfiRate;

    /**
     * 还款承诺函编号
     */
    @TableField("zfi_payment_number")
    private String zfiPaymentNumber;

    /**
     * 签发有效期
     */
    @TableField("zfi_effective_date")
    private Date zfiEffectiveDate;

    /**
     * 签收时间
     */
    @TableField("zfi_sign_date")
    private Date zfiSignDate;

    /**
     * 承诺付款日
     */
    @TableField("zfi_expire_date")
    private Date zfiExpireDate;

    /**
     * 平台审批状态
     */
    @TableField("zfi_platform_status")
    private String zfiPlatformStatus;

    /**
     * 融资方审批状态
     */
    @TableField("zfi_supplier_status")
    private String zfiSupplierStatus;

    /**
     * 核心企业融资状态
     */
    @TableField("zfi_core_status")
    private String zfiCoreStatus;

    /**
     * 状态(00:待确权 01:待签收 02:已生效 03:已失效 04:融资中 05:已融资 06:平台退回)
     */
    @TableField("zfi_status")
    private String zfiStatus;

    /**
     * 备用字段1
     */
    @TableField("zfi_profit_spare1")
    private String zfiProfitSpare1;

    /**
     * 备用字段2
     */
    @TableField("zfi_profit_spare2")
    private String zfiProfitSpare2;

    /**
     * 备用字段3
     */
    @TableField("zfi_profit_spare3")
    private String zfiProfitSpare3;

    /**
     * 备用字段4
     */
    @TableField("zfi_profit_spare4")
    private String zfiProfitSpare4;

    /**
     * 备用字段5
     */
    @TableField("zfi_profit_spare5")
    private String zfiProfitSpare5;

    /**
     * 备用字段6
     */
    @TableField("zfi_profit_spare6")
    private String zfiProfitSpare6;

    /**
     * 备用字段7
     */
    @TableField("zfi_profit_spare7")
    private String zfiProfitSpare7;

    /**
     * 备用字段8
     */
    @TableField("zfi_profit_spare8")
    private String zfiProfitSpare8;

    /**
     * 备用字段9
     */
    @TableField("zfi_profit_spare9")
    private String zfiProfitSpare9;

    /**
     * 创建者
     */
    @TableField("create_by")
    private String createBy;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Date createTime;

    /**
     * 更新者
     */
    @TableField("update_by")
    private String updateBy;

    /**
     * 更新时间
     */
    @TableField("update_time")
    private Date updateTime;


}
