package com.huyi.task.base.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huyi.task.base.entity.PayBankAccInf;
import com.huyi.task.base.mapper.PayBankAccInfMapper;
import com.huyi.task.base.service.IPayBankAccInfService;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * ClassName: PayBankAccInfServiceImpl<br>
 * Description: IPayBankAccInfService实现 <br>
 * Company: keao
 *
 * @author xuefy
 * @version v1.0.0    2021-08-16  xuefy    由Generator自动创建
 */
@Service
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true, rollbackFor = Exception.class)
public class PayBankAccInfServiceImpl extends ServiceImpl<PayBankAccInfMapper, PayBankAccInf> implements IPayBankAccInfService {

    @Autowired
    private PayBankAccInfMapper payBankAccInfMapper;

    @Override
    public IPage<PayBankAccInf> findPayBankAccInfs(QueryRequest request, LambdaQueryWrapper<PayBankAccInf> wrapper) {
        Page<PayBankAccInf> page = new Page<>(request.getPageNum(), request.getPageSize());
        return this.page(page, wrapper);
    }

    @Override
    public List<PayBankAccInf> findPayBankAccInfs(LambdaQueryWrapper<PayBankAccInf> wrapper) {
		return this.list(wrapper);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void createPayBankAccInf(PayBankAccInf payBankAccInf) {
        this.save(payBankAccInf);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void updatePayBankAccInf(PayBankAccInf payBankAccInf) {
        this.saveOrUpdate(payBankAccInf);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void deletePayBankAccInf(LambdaQueryWrapper<PayBankAccInf> wrapper) {
	    this.remove(wrapper);
	}
}
