package com.huyi.task.base.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huyi.task.base.entity.SysCompanyProduct;
import com.huyi.task.base.mapper.SysCompanyProductMapper;
import com.huyi.task.base.service.ISysCompanyProductService;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * ClassName: SysCompanyProductServiceImpl<br>
 * Description: ISysCompanyProductService实现 <br>
 * Company: keao
 *
 * @author cuixq
 * @version v1.0.0    2021-09-01  cuixq    由Generator自动创建
 */
@Service
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true, rollbackFor = Exception.class)
public class SysCompanyProductServiceImpl extends ServiceImpl<SysCompanyProductMapper, SysCompanyProduct> implements ISysCompanyProductService {

    @Autowired
    private SysCompanyProductMapper sysCompanyProductMapper;

    @Override
    public IPage<SysCompanyProduct> findSysCompanyProducts(QueryRequest request, LambdaQueryWrapper<SysCompanyProduct> wrapper) {
        Page<SysCompanyProduct> page = new Page<>(request.getPageNum(), request.getPageSize());
        return this.page(page, wrapper);
    }

    @Override
    public List<SysCompanyProduct> findSysCompanyProducts(LambdaQueryWrapper<SysCompanyProduct> wrapper) {
		return this.list(wrapper);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void createSysCompanyProduct(SysCompanyProduct sysCompanyProduct) {
        this.save(sysCompanyProduct);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void updateSysCompanyProduct(SysCompanyProduct sysCompanyProduct) {
        this.saveOrUpdate(sysCompanyProduct);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void deleteSysCompanyProduct(LambdaQueryWrapper<SysCompanyProduct> wrapper) {
	    this.remove(wrapper);
	}
}
