package com.huyi.task.base.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huyi.task.base.entity.ZcFinanceProConRel;
import com.huyi.task.base.mapper.ZcFinanceProConRelMapper;
import com.huyi.task.base.service.IZcFinanceProConRelService;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * ClassName: ZcFinanceProConRelServiceImpl<br>
 * Description: IZcFinanceProConRelService实现 <br>
 * Company: keao
 *
 * @author xuefy
 * @version v1.0.0    2021-08-16  xuefy    由Generator自动创建
 */
@Service
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true, rollbackFor = Exception.class)
public class ZcFinanceProConRelServiceImpl extends ServiceImpl<ZcFinanceProConRelMapper, ZcFinanceProConRel> implements IZcFinanceProConRelService {

    @Autowired
    private ZcFinanceProConRelMapper zcFinanceProConRelMapper;

    @Override
    public IPage<ZcFinanceProConRel> findZcFinanceProConRels(QueryRequest request, LambdaQueryWrapper<ZcFinanceProConRel> wrapper) {
        Page<ZcFinanceProConRel> page = new Page<>(request.getPageNum(), request.getPageSize());
        return this.page(page, wrapper);
    }

    @Override
    public List<ZcFinanceProConRel> findZcFinanceProConRels(LambdaQueryWrapper<ZcFinanceProConRel> wrapper) {
		return this.list(wrapper);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void createZcFinanceProConRel(ZcFinanceProConRel zcFinanceProConRel) {
        this.save(zcFinanceProConRel);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void updateZcFinanceProConRel(ZcFinanceProConRel zcFinanceProConRel) {
        this.saveOrUpdate(zcFinanceProConRel);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void deleteZcFinanceProConRel(LambdaQueryWrapper<ZcFinanceProConRel> wrapper) {
	    this.remove(wrapper);
	}
}
